<!DOCTYPE html>
<html lang="en" th:lang="#{lang}" xmlns:th="http://www.thymeleaf.org">
<head>
    <!--CSS -->
    <link th:href="@{/css/lightpick.css}" rel="stylesheet" type="text/css">

    <!--/*/ <th:block th:include="fragments/layout :: head">
        </th:block> /*/-->

    <!--SCRIPTS-->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.22.2/moment.min.js"></script>
    <script th:src="@{/js/lightpick.js}" type="text/javascript"></script>
</head>
<body>

<div id="wrapper">

    <div th:replace="fragments/layout :: header('admin')"></div>

    <main id="main" class="container mt-2">
        <div class="d-lg-flex">
            <div class="p-2">
                <div class="mb-2">
                    <a class="btn btn-sm btn-outline-secondary w-100" th:href="@{/admin/borrow/detail/} + ${borrow.id}">
                        <i class="fas fa-chevron-left mr-2"></i>
                        Zpět na detail
                    </a>
                </div>
                <div th:replace="fragments/layout :: adminSideNav(${borrow.reservation ? 'reservations' : 'borrows'})"></div>
            </div>

            <div class="flex-grow-1 p-2">
                <div class="mb-3 pb-2 pt-1 border-bottom clearfix">
                    <h2 class="float-left"
                        th:text="${(borrow.reservation ? 'Rezervace' : 'Výpůjčka') + ' - ' + borrow.product.name}">Nový
                        produkt</h2>

                    <div class="float-right mt-2">
                        <!--RETURN-->
                        <a th:if="${!borrow.reservation}"
                           class="btn btn-sm btn-orange" th:href="@{/admin/borrow/return/} + ${borrow.id}"
                           data-toggle="tooltip" data-placement="bottom" title="vrátit produkt"
                           th:attr="data-conf-0=${borrow.product.name}"
                           onclick="return confirmWithData('Opravdu chcete vrátit produkt {0}?', this);">
                            <i class="fas fa-exchange-alt"></i>
                            Vrátit
                        </a>
                        <!--BORROW-->
                        <a th:if="${borrow.reservation}"
                           class="btn btn-sm btn-orange" th:href="@{/admin/reservation/borrow?reservId=} + ${borrow.id}"
                           data-toggle="tooltip" data-placement="bottom" title="vytvořit výpůjčku"
                           onclick="return confirm('Opravdu chcete z rezervace vytvořit výpůjčku?');">
                            <i class="far fa-clock"></i>
                            Výpůjčit
                        </a>
                        <!--DELETE-->
                        <a class="btn btn-sm btn-danger" th:href="@{/admin/product/remove/} + ${borrow.id}"
                           th:attr="data-conf-0=${borrow.reservation ? 'rezervaci' : 'výpůjčku'}"
                           onclick="return confirmWithData('Opravdu chcete zrušit {0}?', this);">
                            <i class="fas fa-trash"></i>
                            Zrušit rezervaci
                        </a>
                    </div>
                </div>

                <div th:replace="fragments/layout :: alerts"></div>

                <form th:if="${borrow != null}" class="needs-validation" method="post"
                      th:action="@{/admin/borrow/update}" th:object="${borrow}" novalidate>

                    <input type="hidden" th:field="*{id}">
                    <input type="hidden" th:field="*{product.id}">
                    <input type="hidden" th:field="*{product.name}">
                    <input type="hidden" th:field="*{user.id}">
                    <input type="hidden" th:field="*{user.name}">
                    <input type="hidden" th:field="*{user.surname}">
                    <input type="hidden" th:field="*{reservation}">

                    <!--PRODUCT-->
                    <div class="mb-3">
                        <div class="pb-1">
                            <label for="productInput" class="font-weight-bold mb-0 mt-1">Produkt:</label>
                        </div>

                        <!--AUTOCOMPLETE USER-->
                        <div class="w-100">
                            <input id="productInput" class="form-control" type="text" disabled
                                   th:value="${borrow.product.name}">
                        </div>
                    </div>

                    <!--USER-->
                    <div class="mb-3">
                        <div class="pb-1">
                            <label for="customerInput" class="font-weight-bold mb-0 mt-1">Zákazník:</label>
                        </div>

                        <!--AUTOCOMPLETE USER-->
                        <div class="autocomplete w-100">
                            <input id="customerInput" class="form-control" type="text" disabled
                                   th:value="${borrow.user.getFullName()}">
                        </div>
                    </div>

                    <div th:replace="borrow/borrowNew :: productPart(${borrow}, ${borrow.product}, ${availableDate}, ${unavailableDates})"></div>

                    <div class="clearfix">
                        <button id="submitBtn" type="submit" onclick="return checkCollisions()"
                                class="btn btn-success px-4 float-right">Uložit
                        </button>
                    </div>
                </form>
            </div>
        </div>
    </main>
</div>

<div th:replace="fragments/layout :: footer"></div>

<script th:inline="javascript">
    /*<![CDATA[*/

    $(document).ready(function () {

    });

    /*]]>*/
</script>

</body>
</html>